%define major 3
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:	Library for accessing SmartCard devices
Name:		opensc
Version:	0.12.2
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Kernel and hardware
URL:		http://www.opensc-project.org/opensc
Source:		http://www.opensc-project.org/files/opensc/%{name}-%{version}.tar.gz
Source1:	oberthur.profile
Patch0:		opensc-0.12.2-dso.patch
BuildRequires:	openssl-devel
BuildRequires:	readline-devel
BuildRequires:	pcsc-lite-devel
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
Requires:	%{_lib}pcsclite1

%description
%{name} is a library for accessing smart card devices using PC/SC Lite
middleware package. It is also the core library of the OpenSC project.
Basic functionality (e.g. SELECT FILE, READ BINARY) should work on any
ISO 7816-4 compatible smart card. Encryption and decryption using private
keys on the SmartCard is at the moment possible only with PKCS #15
compatible cards.

%package -n	%{libname}
Summary:	Library for accessing SmartCard devices
Group:		System/Libraries

%description -n	%{libname}
%{name} is a library for accessing smart card devices using PC/SC Lite
middleware package. It is also the core library of the OpenSC project.
Basic functionality (e.g. SELECT FILE, READ BINARY) should work on any
ISO 7816-4 compatible smart card. Encryption and decryption using private
keys on the SmartCard is at the moment possible only with PKCS #15
compatible cards.

%package -n	%{develname}
Summary:	Development related files for %{name}
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Conflicts:	%{mklibname opensc 0 -d}

%description -n	%{develname}
%{name} is a library for accessing smart card devices using PC/SC Lite
middleware package. It is also the core library of the OpenSC project.
Basic functionality (e.g. SELECT FILE, READ BINARY) should work on any
ISO 7816-4 compatible smart card. Encryption and decryption using private
keys on the SmartCard is at the moment possible only with PKCS #15
compatible cards.

This package contains all necessary files to develop or compile any
applications or libraries that use %{name}. 

%prep
%setup -q
%patch0 -p1 -b .dso

install -m 0644 %{_sourcedir}/oberthur.profile oberthur-alternate.profile

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}

%makeinstall_std

# install conf file
mkdir -p %{buildroot}%{_sysconfdir}
install -m 0644 etc/opensc.conf %{buildroot}%{_sysconfdir}

#don't ship .la
find %{buildroot} -name "*.la" | xargs rm -f

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%doc COPYING NEWS README
%doc oberthur-alternate.profile
%config(noreplace) %{_sysconfdir}/opensc.conf
%{_bindir}/cardos-tool
%{_bindir}/cryptoflex-tool
%{_bindir}/eidenv
%{_bindir}/piv-tool
%{_bindir}/netkey-tool
%{_bindir}/opensc-explorer
%{_bindir}/opensc-tool
%{_bindir}/pkcs11-tool
%{_bindir}/pkcs15-crypt
%{_bindir}/pkcs15-init
%{_bindir}/pkcs15-tool
%{_datadir}/%{name}
%{_libdir}/pkcs11-spy.*
%{_libdir}/onepin-opensc-pkcs11.so
%{_libdir}/opensc-pkcs11.so
%{_libdir}/pkcs11-spy.so
%{_libdir}/pkcs11/*.so
%{_mandir}/man1/*
%{_mandir}/man5/*

%files -n %{libname}
%{_libdir}/libopensc.so.%{major}*

%files -n %{develname}
%{_bindir}/westcos-tool
%{_libdir}/libopensc.so


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.12.2-3.mga3
+ Revision: 362130
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 23 2012 sander85 <sander85> 0.12.2-2.mga3
+ Revision: 273711
- clean spec
- drop some BRs + fix build
- update URL

* Sat Jul 16 2011 fwang <fwang> 0.12.2-1.mga2
+ Revision: 124863
- new version 0.12.2

* Fri Jun 10 2011 sander85 <sander85> 0.12.1-1.mga2
+ Revision: 103183
- kind of dummy commit to try fixing sources
- new version 0.12.1

* Fri Apr 22 2011 ahmad <ahmad> 0.12.0-5.mga1
+ Revision: 89649
- Move the mozilla-plugin-%%{name} Obsoletes to the lib package to ease upgrades
- Obsolete mozilla-plugin-%%{name} (mga#698)
- Stick all the libs without major in the main package (to ease major upgrades,
  not optimal, but the best idea I could come up with)
- Move %%{_sysconfdir}/opensc.conf to the main package
- Confilct with the old lib, since some files moved from it to the main package
- Disable static build, and don't ship .al files

* Sun Mar 20 2011 boklm <boklm> 0.12.0-3.mga1
+ Revision: 74641
- clean spec
- imported package opensc

